Bug 441660 - Error when creating tar archives with file-roller
Error when creating tar archives with file-roller
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 07:48 EDT by Nicu Buculei
Modified: 2009-07-14 11:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (19.72 KB, image/png)
2008-04-09 07:49 EDT, Nicu Buculei
no flags Details

  None (edit)
Description Nicu Buculei 2008-04-09 07:48:15 EDT
Description of problem:
When creating tar archives (tar, tar.gz, tar.bz2) with file-roller an error
dialog is displayed: "An error occurred while adding files to the archive."
(screenshot below).
However, the archive is created and seems fine (can be opened with file-roller
and extracted). The error appear only for archives involving tar (not for .zip
or .7z) and archives created from a terminal (gtar/tar -zcf) do not show any error.

Version-Release number of selected component (if applicable):
file-roller-2.22.0-2.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Right click on a directory on your desktop
2. select Create Archive
3. Select any of .tar, .tar.gz or .tar.bz2
4. Create
  
Actual results:
The archive is create and an error dialog is shown

Expected results:
No error dialog
Comment 1 Nicu Buculei 2008-04-09 07:49:32 EDT
Created attachment 301784 [details]
screenshot

Screenshot of the error dialog with the output expanded.
Comment 2 Bug Zapper 2008-05-14 05:11:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Feng Yu 2008-05-16 23:41:41 EDT
I also meet the same problem. It seems fill-roller is always reporting the error
if the operation ever failed. It only appears after file-roller failed to add
some files on a ssh server.


Comment 4 Peter Janakiev 2008-05-19 05:55:51 EDT
I can confirm the error, it says gtar cannot state the tar file. 
tar-1.19-3.fc9.i386
file-roller-2.22.1-1.fc9.i386
Fedora 9

Comment 5 Pedro Matiello 2008-06-05 20:01:10 EDT
It's a tar bug. It seems to be already fixed in upstream.
Comment 6 Juan A. Burgos 2008-06-18 12:09:27 EDT
I suggest to raise the severity of this bug to medium or high as it could lead
to information lost as the compressed file is created but it contains only some
of the files requested, and this could mislead someone to erase files not archived.
Comment 7 Nicu Buculei 2008-06-19 01:38:11 EDT
Increasing the severity as suggested by comment #6 (I was not aware about data loss)
Comment 8 Bug Zapper 2009-06-09 20:05:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:04:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.